Last Comment Bug 711353 - gfx/angle/src/compiler/osinclude.h:22:2: error: #error Unsupported platform. on GNU/kfreebsd and probably Hurd
: gfx/angle/src/compiler/osinclude.h:22:2: error: #error Unsupported platform. ...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: All Other
: -- normal (vote)
: ---
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on: 720438
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-16 01:57 PST by Mike Hommey [:glandium]
Modified: 2012-01-26 11:07 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Add support for GNU/kFreeBSD and GNU/Hurd to gfx/angle/src/compiler/osinclude.h (21.14 KB, patch)
2011-12-16 01:59 PST, Mike Hommey [:glandium]
no flags Details | Diff | Review
Add support for GNU/kFreeBSD and GNU/Hurd to gfx/angle/src/compiler/osinclude.h (1.01 KB, patch)
2011-12-16 02:30 PST, Mike Hommey [:glandium]
jacob.benoit.1: review+
Details | Diff | Review

Description Mike Hommey [:glandium] 2011-12-16 01:57:03 PST
GNU kfreebsd is the GNU userland with the FreeBSD kernel. Hurd is GNU vaporware. Both are currently unsupported by the check in osinclude.h.
Comment 1 Mike Hommey [:glandium] 2011-12-16 01:59:00 PST
Created attachment 582209 [details] [diff] [review]
Add support for GNU/kFreeBSD and GNU/Hurd to gfx/angle/src/compiler/osinclude.h

This should be enough, I'll confirm later next week.
Comment 2 Mike Hommey [:glandium] 2011-12-16 02:30:35 PST
Created attachment 582220 [details] [diff] [review]
Add support for GNU/kFreeBSD and GNU/Hurd to gfx/angle/src/compiler/osinclude.h

Oops that was totally not the right patch
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2011-12-20 13:06:52 PST
Comment on attachment 582220 [details] [diff] [review]
Add support for GNU/kFreeBSD and GNU/Hurd to gfx/angle/src/compiler/osinclude.h

Review of attachment 582220 [details] [diff] [review]:
-----------------------------------------------------------------

r+ but actually, rather than adding another local patch, let's land this on ANGLE upstream right away.
Comment 4 Mike Hommey [:glandium] 2011-12-20 13:12:42 PST
Note there's a typo in the patch (define instead of defined). I'll know if the patch itself is enough in a few hours.
Comment 5 Benoit Jacob [:bjacob] (mostly away) 2011-12-20 13:16:36 PST
OK, let's use that time to ask Daniel to confirm it's ok to land in ANGLE.
Comment 6 Mike Hommey [:glandium] 2011-12-20 23:05:29 PST
Firefox 9 builds on GNU/kFreeBSD with that patch (without the typo). I'm not sure what to look at in the test suite to know whether this actually works.
Comment 7 Benoit Jacob [:bjacob] (mostly away) 2011-12-21 06:42:03 PST
The basic recipe to start the WebGL mochitest is:

TEST_PATH=content/canvas/test/webgl/test_webgl_conformance_test_suite.html make mochitest-plain

Expect a few errors, depending on your GL drivers. Also, I don't know if your platform will be identified as Linux, but if it is, it is hardcoded to expect the same driver bugs as on the test slaves, so you might get a few UNEXPECTED-PASS.

It should stay open for a few minutes with the results when it's done. If it suddenly closes without showing the results, it means it crashed. If it crashes, you can add this environment variable to debug:

EXTRA_TEST_ARGS='--debugger=gdb'
Comment 8 Benoit Jacob [:bjacob] (mostly away) 2012-01-23 10:55:04 PST
Checked in as ANGLE r954. You're now a ANGLE developer. Congrats! Filing bug to update our ANGLE copy, will block this on it.
Comment 9 Benoit Jacob [:bjacob] (mostly away) 2012-01-26 11:07:51 PST
Landed on inbound with bug 720438. I'm going to preventively close this bug as otherwise I'll forget.

Note You need to log in before you can comment on or make changes to this bug.